%define upstream_name    App-Timestamper
%define upstream_version 0.0.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Prefix lines with the timestamps of their arrivals
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
App::Timestamper is a pure-Perl command line program that filters the input
so the timestamps (in seconds+fractions since the UNIX epoch) are prefixed
to the lines based on the time of the arrival.

So if the input was something like:

    First Line
    Second Line
    Third Line

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README LICENSE Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/timestamper
/usr/share/man/man1/timestamper.1.xz



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.0.7-3.mga6
+ Revision: 1022558
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.0.7-2.mga6
+ Revision: 970238
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 shlomif <shlomif> 0.0.7-1.mga6
+ Revision: 885369
- New version 0.0.7

* Mon Sep 28 2015 sander85 <sander85> 0.0.6-1.mga6
+ Revision: 884391
- update to 0.0.6

* Fri Sep 04 2015 shlomif <shlomif> 0.0.3-1.mga6
+ Revision: 872803
- imported package perl-App-Timestamper


* Fri Sep 04 2015 cpan2dist 0.0.3-1mga
- initial mageia release, generated with cpan2dist
